curl -X PUT https://api.60db.ai/auth/profile \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{
"name": "Jane Doe",
"company": "New Company Inc"
}'
await client.updateProfile({
name: "Jane Doe",
company: "New Company Inc",
});
client.update_profile(
name='Jane Doe',
company='New Company Inc'
)
{
"id": "user-123",
"email": "user@example.com",
"name": "Jane Doe",
"company": "New Company Inc",
"updated_at": "2026-01-29T11:35:00Z"
}
Authentication
Update Profile
Update the authenticated user’s profile
PUT
/
auth
/
profile
curl -X PUT https://api.60db.ai/auth/profile \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{
"name": "Jane Doe",
"company": "New Company Inc"
}'
await client.updateProfile({
name: "Jane Doe",
company: "New Company Inc",
});
client.update_profile(
name='Jane Doe',
company='New Company Inc'
)
{
"id": "user-123",
"email": "user@example.com",
"name": "Jane Doe",
"company": "New Company Inc",
"updated_at": "2026-01-29T11:35:00Z"
}
Request
Headers
string
required
Bearer token with your API key
string
required
application/json
Body
string
Updated user name
string
Updated company name
Response
string
User ID
string
User email
string
Updated name
string
Updated company
curl -X PUT https://api.60db.ai/auth/profile \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{
"name": "Jane Doe",
"company": "New Company Inc"
}'
await client.updateProfile({
name: "Jane Doe",
company: "New Company Inc",
});
client.update_profile(
name='Jane Doe',
company='New Company Inc'
)
{
"id": "user-123",
"email": "user@example.com",
"name": "Jane Doe",
"company": "New Company Inc",
"updated_at": "2026-01-29T11:35:00Z"
}